Package org.eclipse.birt.chart.model.attribute

# Interface Location

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `Location3D`

All Known Implementing Classes:
  `Location3DImpl`, `LocationImpl`

public interface Location extends IChartObject
A representation of the model object 'Location'. Location represents a 2D coordinate point within the chart.

The following features are supported:

- `X`
- `Y`

See Also:
  - `AttributePackage.getLocation()`

## Method Summary

Modifier and Type
Method
Description
`Location`
`copyInstance()`
`double`
`getX()`
Returns the value of the 'X' attribute.
`double`
`getY()`
Returns the value of the 'Y' attribute.
`boolean`
`isSetX()`
Returns whether the value of the '`X`' attribute is set.
`boolean`
`isSetY()`
Returns whether the value of the '`Y`' attribute is set.
`void`
`scale(double dScale)`
Causes the internal (x,y) values to be scaled by a relative (dScale) value
`void`
`set(double dX, double dY)`
A convenience method for defining member variables NOTE: Manually created
`void`
`setX(double value)`
Sets the value of the '`X`' attribute.
`void`
`setY(double value)`
Sets the value of the '`Y`' attribute.
`void`
`translate(double dTranslateX, double dTranslateY)`
Causes the internal (x,y) values to be translated by a relative value of (dTranslateX, dTranslateY)
`void`
`unsetX()`
Unsets the value of the '`X`' attribute.
`void`
`unsetY()`
Unsets the value of the '`Y`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getX

double getX()
Returns the value of the 'X' attribute. Returns the 'X' co-ordinate component of the location. Attribute "x" specifies the x coordinate of the location.

Returns:
  the value of the 'X' attribute.
See Also:
  - `isSetX()`
  - `unsetX()`
  - `setX(double)`
  - `AttributePackage.getLocation_X()`

### setX

void setX(double value)
Sets the value of the '`X`' attribute. Sets the 'X' co-ordinate component of the location.

Parameters:
  `value` - the new value of the 'X' attribute.
See Also:
  - `isSetX()`
  - `unsetX()`
  - `getX()`

### unsetX

void unsetX()
Unsets the value of the '`X`' attribute.

See Also:
  - `isSetX()`
  - `getX()`
  - `setX(double)`

### isSetX

boolean isSetX()
Returns whether the value of the '`X`' attribute is set.

Returns:
  whether the value of the 'X' attribute is set.
See Also:
  - `unsetX()`
  - `getX()`
  - `setX(double)`

### getY

double getY()
Returns the value of the 'Y' attribute. Returns the 'Y' co-ordinate component of the location. Attribute "y" specifies the y coordinate of the location.

Returns:
  the value of the 'Y' attribute.
See Also:
  - `isSetY()`
  - `unsetY()`
  - `setY(double)`
  - `AttributePackage.getLocation_Y()`

### setY

void setY(double value)
Sets the value of the '`Y`' attribute. Sets the 'Y' co-ordinate component of the location.

Parameters:
  `value` - the new value of the 'Y' attribute.
See Also:
  - `isSetY()`
  - `unsetY()`
  - `getY()`

### unsetY

void unsetY()
Unsets the value of the '`Y`' attribute.

See Also:
  - `isSetY()`
  - `getY()`
  - `setY(double)`

### isSetY

boolean isSetY()
Returns whether the value of the '`Y`' attribute is set.

Returns:
  whether the value of the 'Y' attribute is set.
See Also:
  - `unsetY()`
  - `getY()`
  - `setY(double)`

### set

void set(double dX, double dY)
A convenience method for defining member variables NOTE: Manually created

Parameters:
  `dX` -
  `dY` -

### translate

void translate(double dTranslateX, double dTranslateY)
Causes the internal (x,y) values to be translated by a relative value of (dTranslateX, dTranslateY)

Parameters:
  `dX` -
  `dY` -

### scale

void scale(double dScale)
Causes the internal (x,y) values to be scaled by a relative (dScale) value

Parameters:
  `dScale` -

### copyInstance

Location copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`